<?php 
 

 @session_start();

 date_default_timezone_set('America/Argentina/Buenos_Aires');
 include('funciones/funciones2.php');
?>
<script> 
function cerrarse(){ 
window.close() 
} 
</script>

<?
 include 'conexion.php';
 $cuitOK    	= $_POST['usuario'];
 $clave_actual  = $_POST['clave'];
 $clave_nueva  	= $_POST['clavenueva'];
 $clave_nueva2  = $_POST['clavenueva2'];
 
 $fecha = date("Y-m-d");
 $fechayhora = date("Y-m-d");

 //$valor = $_POST[codigo];

//$clave = claveAleatoria (8,true,true,true,false);
$clavemd5 = md5($clave_actual);
$nuevamd5 = md5($clave_nueva);

if($_POST['clavenueva'] != $_POST['clavenueva2'])
{	
 {
  print "<script>alert('Las Claves Actuales no coinciden Intentelo Nuevamente.')</script>";
  echo "<script LANGUAGE='JavaScript'>
		 function redireccionar() { history.back(1); }
		 setTimeout ('redireccionar()', 0);
	   </script>";
 }
}
if(md5($_POST['codigo']) != $_SESSION['codigo_verificacion'])
{
 	{
  		print "<script>alert('El c?digo de confirmaci?n es incorrecto.')</script>";
  		echo "<script LANGUAGE='JavaScript'>
		 function redireccionar() { history.back(1); }
		 setTimeout ('redireccionar()', 0);
	   </script>";
 	}
}
 else  
 {		

	$_pagi_sql = "select * from com_usuarios where usuario = '" . $cuitOK . "' and clave_md5 = '" . $clavemd5 ."'";


    $query = mysqli_query($coneccion ,	$_pagi_sql);
	$row = mysqli_fetch_array($query);

 		if ($row >= 1)
		{
      				
		//echo "Se Conecto y encontro el usuario";

			$sql2 = "update com_usuarios set  clave= '" .$clave_nueva ."', clave_md5= '" .$nuevamd5 ."' , usuario_actualizacion= '" .$cuitOK ."' WHERE usuario= '" .$cuitOK ."'";


			$query_update = mysqli_query($coneccion,$sql2);
			

				{
				 //header('Refresh: 1; URL=login.php');

  				print "<script>alert('Se Cambio correctamente la Clave!!!.')</script>";
				echo "<script LANGUAGE='JavaScript'>
				var pagina='login.php'
				function redireccionar() { location.href=pagina }
				setTimeout ('redireccionar()', 0);
			   </script>";  
				}

		}		
 		else 
			{	
		
				{
					  print "<script>alert('El Cuit  y / ó Clave Ingresados Incorrectos!!!.')</script>";
					  echo "<script LANGUAGE='JavaScript'>
							 function redireccionar() { history.back(1); }
							 setTimeout ('redireccionar()', 0);
						   </script>";
				}

			}
	}
			
 

?>
